<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Teilnehmer\ZsaAnmeldung\BelegungsUebersicht;

class BelegungsUebersichtSetFilterController extends BelegungsUebersichtController
{
  protected function getRequestObj()
  {
    $requestObj = parent::getRequestObj();
    if (!$this->isBrowserRefresh()) {
      $requestObj->suchParameter = $this->getFilterFromPost();
      $requestObj->aendereFilter = true;
    }

    return $requestObj;
  }

  protected function getFilterFromPost()
  {
    $tool = 43;
    $suchApi = new \BelegungSuchAPI();

    return $suchApi->getSearchParamsFromReq('tool' . $tool, 'searchbelegung');
  }

  private function isBrowserRefresh()
  {
    
    return !\RequestOperations::isDefined('search_status');
  }
}